VERIEXEC(3)

NAME
veriexec_check_fd, veriexec_check_path - Verified execution routines

LIBRARY
libveriexec

SYNOPSIS
#include <libveriexec.h>
int
veriexec_check_fd(int fd);
int
veriexec_check_path(const char *file);

DESCRIPTION
The veriexec_check_fd() function checks the signature of the file represented by the fd file descriptor.

The veriexec_check_path() function checks the signature of the file path file.

The veriexec_check_fd() and veriexec_check_path() functions return zero on a successful signature match or if veriexec is not enabled. If the signature does not match, errno is set to the reason for the mismatch.

SEE ALSO
mac_veriexec(4), veriexec(4)